<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity4">
<ol class="breadcrumb" th:fragment="breadcrumb">
    <li><a th:href="@{/admin/home}"><i class="fa fa-dashboard"></i> Dashboard</a></li>
    <li><a th:href="@{/admin/management/user/}"><i class="fa fa-users"></i>[[#{page.title.management.user}]]</a></li>
    <li class="active">[[#{label.edit}]]</li>
</ol>
<div th:fragment="content" class="wrapper">
    <div class="row">
        <div class="col-lg-12">
            <section class="panel">
                <div class="panel-body">
                    <div id="group-message-success-user-input" class="alert alert-success alert-block fade in" th:if="${okMessage != null and okMessage != ''}">
                        <button data-dismiss="alert" class="close close-sm" type="button">
                            <i class="icon-remove"></i>
                        </button>
                        <p>[[${okMessage}]]</p>
                    </div>
                    <div id="group-message-error-user-input" class="alert alert-success alert-block fade in" th:if="${errorMessage != null and errorMessage != ''}">
                        <button data-dismiss="alert" class="close close-sm" type="button">
                            <i class="icon-remove"></i>
                        </button>
                        <p>[[${errorMessage}]]</p>
                    </div>
                </div>
                <div class="panel-body">
                    <form id="commentForm" role="form" class="form-horizontal tasi-form" th:object="${data}" th:action="@{/admin/management/user/edit/} + ${data.id}" method="POST">
                        <input id="id" th:field="*{id}" required="required" maxlength="50" hidden="true" readonly="true"/>
                        <input id="rowVersion" th:field="*{rowVersion}" required="required" maxlength="50" hidden="true" readonly="true"/>
                        <div class="form-group">
                            <label class="col-lg-2 control-label">[[#{label.username}]]</label>
                            <div class="col-lg-6">
                                <input id="username" type="text" class="form-control" th:field="*{username}" maxlength="50" disabled/>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-lg-2 control-label">[[#{label.name}]]</label>
                            <div class="col-lg-6">
                                <input id="name" type="text" class="form-control" th:field="*{name}" maxlength="50"/>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-lg-2 control-label">[[#{label.email}]]</label>
                            <div class="col-lg-6">
                                <input id="email" type="text" class="form-control" th:field="*{email}" maxlength="255"/>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-lg-2 control-label">[[#{label.isEnabled}]]</label>
                            <div class="col-lg-6">
                                <input type="checkbox" id="enabled" th:field="*{enabled}" checked="checked"/>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-lg-2 control-label">[[#{label.isAccountNonExpired}]]</label>
                            <div class="col-lg-6">
                                <input type="checkbox" id="accountNonExpired" th:field="*{accountNonExpired}" checked="checked"/>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-lg-2 control-label">[[#{label.isAccountNonLocked}]]</label>
                            <div class="col-lg-6">
                                <input type="checkbox" id="accountNonLocked" th:field="*{accountNonLocked}" checked="checked"/>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-lg-2 control-label">[[#{label.isCredentialsNonExpired}]]</label>
                            <div class="col-lg-6">
                                <input type="checkbox" id="credentialsNonExpired" th:field="*{credentialsNonExpired}" checked="checked"/>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="col-lg-offset-2 col-lg-10">
                                <button type="submit" id="btn-save-infra" class="btn btn-success">[[#{label.save}]]</button>
                                <a th:href="@{/admin/management/user}" class="btn btn-danger">[[#{label.cancel}]]</a>
                            </div>
                        </div>
                    </form>
                </div>

            </section>
        </div>
        <div class="modal fade bs-example-modal-sm" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel">
            <div class="modal-dialog modal-sm" role="document">
                <div class="modal-content">
                    <div class="modal-body">
                        <h4 class="modal-title" th:with="title=${#strings.toLowerCase('__#{label.qr.type}__')}">[[#{message.modal.save.confirmation(${title})}]]</h4>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-primary" id="submit-form" data-dismiss="modal">[[#{label.yes}]]</button>
                        <button type="button" class="btn btn-default" data-dismiss="modal">[[#{label.no}]]</button>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div th:fragment="css"></div>
</div>
<div th:fragment="js" th:remove="tag">
    <script type="text/javascript" th:inline="javascript">
        $(document).ready(function(){
        });
    </script>
</div>
</html>